Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593243 - [abrt] crash in gnome-packagekit-2.30.1-1.fc13: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
[abrt] crash in gnome-packagekit-2.30.1-1.fc13: Process /usr/bin/gpk-dbus-ser...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:9e1399012a7ae1be6b0b97f8583...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 06:05 EDT by Drewe
Modified: 2011-06-27 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.80 KB, text/plain)
2010-05-18 06:05 EDT, Drewe
no flags Details

  None (edit)
Description Drewe 2010-05-18 06:05:36 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/gpk-dbus-service
comment: Package manager fails when it should be asking for authentication as root - it just closes. 
component: gnome-packagekit
crash_function: gpk_dbus_task_install_files_cb
executable: /usr/bin/gpk-dbus-service
global_uuid: 9e1399012a7ae1be6b0b97f8583c903fd76a1872
kernel: 2.6.33.3-85.fc13.i686.PAE
package: gnome-packagekit-2.30.1-1.fc13
rating: 4
reason: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open package manager
2. attempt to add or remove something
3. click apply
Comment 1 Drewe 2010-05-18 06:05:39 EDT
Created attachment 414793 [details]
File: backtrace
Comment 2 Drewe 2010-05-18 06:09:02 EDT
This is running on a headless server, with the gui served through VNC. Issue also occured in Fedora 12, but I did not report it at the time. 

workaround - open terminal, SU - , run gpk-application from there pre-authenticated as root.

workaround 2 - login as root rather than a user.

workaround 3 - use YUM or something other than packagekit.
Comment 3 Bug Zapper 2011-06-02 09:52:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:27:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.